package com.tencent.demo.tceffectplayer;

import android.util.Log;

import com.tencent.tcmediax.api.ILicenseCallback;
import com.tencent.tcmediax.api.TCMediaXBase;
import com.tencent.tcmediax.api.TXLicenceErrorCode;


public class TCMediaXLicenseService {
    private static final String TAG = "TCMediaXLicenseService";

    private TCMediaXLicenseService() {
    }

    private static class Holder {
        private static final TCMediaXLicenseService instance = new TCMediaXLicenseService();
    }
    public static TCMediaXLicenseService getInstance() {
        return Holder.instance;
    }

    private static final String sLicenseUrl = $your-license-url$;
    private static final String sLicenseKey = $your-license-key$;
    private int mRetryCount = 0;
    private static final int MAX_RETRY_COUNT = 3;

    private final ILicenseCallback mLicenseCallback = new ILicenseCallback() {
        @Override
        public void onResult(int errCode, String msg) {
            Log.d(TAG, "TCMediaX license result: errCode: " + errCode + ", msg: " + msg);
            if (errCode == TXLicenceErrorCode.LicenseCheckDownloadAndAssetBothFailed) {
                if (++mRetryCount <= MAX_RETRY_COUNT) {
                    new Thread(() -> TCMediaXBase.getInstance().setLicense(DemoApplication.getAppContext(), sLicenseUrl, sLicenseKey, mLicenseCallback)).start();
                } else {
                    // 此时网络不可用，发送消息提示用户检测网络
                }
            }
        }
    };


    /**
     * 1、修改 build.gradle 中的 applicationId 为对应的值
     * 2、修改 sLicenseUrl、sLicenseKey 为对应的值
     * 3、Sync 同步项目后运行体验效果
     */
    public void init() {
        TCMediaXBase.getInstance().setLogEnable(DemoApplication.getAppContext(), true);
        TCMediaXBase.getInstance().setLicense(DemoApplication.getAppContext(), sLicenseUrl, sLicenseKey, mLicenseCallback);
    }
}
